MODULES DEPENDENCY PROBLEMS rasa.utils.endpoints.ClientResponseError:

Hello… Im getting this error, even in local withou containerizing…

Traceback (most recent call last):
  File "c:\users\vitin\pythonprojects\eadguru-chatbot\venv\lib\site-packages\rasa\core\actions\action.py", line 741, in run
    response: Any = await self.action_endpoint.request(  
  File "c:\users\vitin\pythonprojects\eadguru-chatbot\venv\lib\site-packages\rasa\utils\endpoints.py", line 173, in request
    raise ClientResponseError(
rasa.utils.endpoints.ClientResponseError: 500, Internal Server Error, body='b'An error occurred while handling an error''

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "c:\users\vitin\pythonprojects\eadguru-chatbot\venv\lib\site-packages\rasa\core\processor.py", line 870, in _run_action
    events = await action.run(
  File "c:\users\vitin\pythonprojects\eadguru-chatbot\venv\lib\site-packages\rasa\core\actions\action.py", line 765, in run
    raise RasaException(
rasa.shared.exceptions.RasaException: Failed to execute custom action 'action_session_start'

It did not use to happen, but I am pretty sure it is happening because of modules versions that are not compatible between themselves, and I cant get it to work